import { AfterViewInit, EventEmitter, OnChanges, OnInit, SimpleChange } from "@angular/core";
import { Router } from "@angular/router";
import { INSHorizontalNavigationMenu, INSHorizontalNavigationSetting } from "./interfaces";
import { NSBaseComponent } from "../ns-base";
import * as i0 from "@angular/core";
declare var NSHorizontalNavigation: any;
export interface INSHorizontalNavigationAngularSettings extends INSHorizontalNavigationSetting {
    setting?: INSHorizontalNavigationSetting;
    [propName: string]: any;
}
export declare class NSHorizontalNavigationAngular extends NSBaseComponent<typeof NSHorizontalNavigation> implements OnChanges, OnInit, AfterViewInit {
    private router;
    setting: INSHorizontalNavigationAngularSettings;
    dataSource: INSHorizontalNavigationMenu[];
    navigationMenuSelected: EventEmitter<any>;
    constructor(router: Router);
    ngOnChanges(changes: {
        [propName: string]: SimpleChange;
    }): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    selectMenu(itemOrElement: any): void;
    setDataSource(source: INSHorizontalNavigationMenu[]): void;
    setStyle(styleProp: string, value: any): void;
    setFocus(isFocus: boolean): void;
    hasFocus(): boolean;
    setTheme(theme: string): void;
    private __manageDataSource;
    private __manageDataSourceItem;
    private __menuClickHandler;
    static ɵfac: i0.ɵɵFactoryDeclaration<NSHorizontalNavigationAngular, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NSHorizontalNavigationAngular, "ns-horizontal-navigation-angular", never, { "setting": { "alias": "setting"; "required": false; }; "dataSource": { "alias": "dataSource"; "required": false; }; }, { "navigationMenuSelected": "navigationMenuSelected"; }, never, never, false, never>;
}
export {};
